Subject: Re: Help on image formats

From: [email-masked] (John Garrett)
Date: 13 Dec 1994 00:47 EDT

>Hans Sandsdalen ([email-masked]) wrote:
>: I need to know where I can find more info. about the following
>: image formats:
> 
>: 	TIFF	- Tagged Image File Format
>: 	GIF	- Grafic Image Format
>: 	SFDU	- Standard Formatted Data Unit
>: 	CDF	- Common Data Format
>: 	SDF	- Standard Data Format
>: 	HDF	- Hierarchical Data Format.
> 
Hans,

SFDU is not strictly an image format.  It is a format for wrapping
other formats for transport and to maintain the association of 
metadata with the data files.  As such, SFDUs could be used to wrap 
(and has been used to wrap) TIFF, GIF, CDF, SDF, and HDF data.

If you need more information, feel free to contact me at the 
SFDU Support Office at Goddard Space Flight Center.

[email-masked]

-John Garrett
_

---

From: [email-masked] (Lloyd Treinish)
Date: Thu, 15 Dec 1994 19:09:34 GMT

While conceptually true, this posting is not entirely accurate.  Entities like
CDF, HDF and netCDF are NOT strictly formats.  They are software interfaces
to one or more self-describing physical formats with well-defined data
structures.  In the case of CDF and netCDF, they can be viewed as abstract data
types with interfaces (language bindings) to a well-defined data model.  As
such the notion of an SFDU wrapper providing a COMPLETE package for CDF,
HDF or netCDF, does not make a lot of sense because there is no mechanism to
present the appropriate software interface to the user/programmer/application,
which is a key rationale for using of these structures and its software.  
Furthermore, each of these systems have varying levels of ability to not be 
a fixed format by providing updates and extensibility, and multiple access
methods, which again would be rather difficult to support under the notion of
wrapper around a fixed format.  An SFDU wrapper only is feasible for these
structures in a very limited fashion, when their capabilities are limited
to fixed contents and no direct interface to software.  Of course, that 
defeats a key reason for their existence.

I should also mention that each of these systems support more than image-like
data.

Lloyd Treinish
IBM Thomas J. Watson Research Center
[email-masked]

In article <[email-masked]>, [email-masked] (John Garrett) writes:
|> >Hans Sandsdalen ([email-masked]) wrote:
|> >: I need to know where I can find more info. about the following
|> >: image formats:
|> > 
|> >: 	TIFF	- Tagged Image File Format
|> >: 	GIF	- Grafic Image Format
|> >: 	SFDU	- Standard Formatted Data Unit
|> >: 	CDF	- Common Data Format
|> >: 	SDF	- Standard Data Format
|> >: 	HDF	- Hierarchical Data Format.
|> > 
|> Hans,
|> 
|> SFDU is not strictly an image format.  It is a format for wrapping
|> other formats for transport and to maintain the association of 
|> metadata with the data files.  As such, SFDUs could be used to wrap 
|> (and has been used to wrap) TIFF, GIF, CDF, SDF, and HDF data.
|> 
|> If you need more information, feel free to contact me at the 
|> SFDU Support Office at Goddard Space Flight Center.
|> 
|> [email-masked]
|> 
|> -John Garrett
|> _

---

From: [email-masked] (John Garrett)
Date: 20 Dec 1994 02:12 EDT

In article <[email-masked]>, [email-masked] (Lloyd Treinish) writes...
>CDF, HDF and netCDF are NOT strictly formats.  They are software interfaces ...

I agree, but I wasn't arguing the details of CDF, HDF, NetCDF.  Other 
info on these "formats"/"interfaces" is already available in the FAQ I 
thought.

>As such the notion of an SFDU wrapper providing a COMPLETE package for CDF,

We are also providing 
these projects with Alpha versions of the SFDU WorkBench which will 
launch the CDF or HDF applications when it encounters those types of 
datasets in the SFDU.  Unfortunately its only available on the SUN 
presently due to our resource restrictions, but we hope to make the 
beta version available on the Web by early next year.

>wrapper around a fixed format.

I applaud the work done to make these systems extensible, but you 
either need to be able (1) to describe how the extensions can be made
In this case SFDU can wrap it fine since it can be described.
or (2) you will need new software to access it.  In which case the
new description should be provided and SFDU mechanism could 
distinquish between the versions.

>An SFDU wrapper only is feasible for these

There are projects here at NASA that are using SFDU with each of these 
formats at least in test or prototype projects.  And again I would 
point out that prototype software does exist which launches the CDF or
HDF software when data in that format is encountered.

>I should also mention that each of these systems support more than image-like

SFDUs are not in any way limmited to handling only image-like data.

-John Garrett

Once again, these are only my opinions and are not necessarily those
of Hughes-STX, NASA/GSFC, or the NASA/Science Office of Standards and 
Technology.